#include "include_llvm.hxx"
#include "Instruction.hxx"
#include "Target.hxx"

#include <string>

#include <log4cxx/logger.h>


class InstructionReader {
public:
    InstructionReader(const Target& target);
    void readInstruction(std::string& data, size_t& offset, Instruction& inst);
private:
    log4cxx::LoggerPtr _logger;
    const Target& _target;
    llvm::OwningPtr<llvm::MCDisassembler> DisAsm;
};
