#include "gui/qt.hxx"

class BasicBlockWidget : public QGraphicsItem
{
public:
    BasicBlockWidget() {
        x = -5;
        y = -20;
        dx = 250;
        dy = 270;
        _widget.addItem("THIS");
        _widget.addItem("IS");
        _widget.addItem("A");
        _widget.addItem("TEST");
		_widget.resize(dx-20, dy-20);
    }

    QRectF boundingRect() const
    {
        qreal penWidth = 1;
        return QRectF(x - penWidth / 2, y - penWidth / 2,
                      dx + penWidth, dy + penWidth);
    }

    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option,
               QWidget *widget)
    {
        painter->fillRect(x, y, dx, dy, QColor(0xcc, 0xcc, 0xff, 0xff));
        painter->setPen(QColor(0x00, 0x00, 0xff, 0xff));
        painter->drawRect(x, y, dx, dy);
        painter->drawText(0, -5, "BLOCK");
        _widget.render(painter);
    }
private:
    int x, y, dx, dy;
    QListWidget _widget;
};
